/**Begin D:\PDM_UPGRADE\PDM1\CAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CAS_BALANCETASK') 
 CREATE TABLE T_CAS_BALANCETASK (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBANKACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCREDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEBITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBUSINESSTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FJOURNALTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FTASKSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FERRORMESSAGE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FERRORMESSAGE_TAG NCLOB,
FSOURCEID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\CAS_table.sql **/
